Public Member Functions | Public Attributes | List of all members
clan::AxisAlignedBoundingBox Class Reference
clanCore Math

`#include <aabb.h>`

## Public Member Functions
| AxisAlignedBoundingBox ()
| AxisAlignedBoundingBox (const Vec3f &aabb_min, const Vec3f &aabb_max)
| AxisAlignedBoundingBox (const AxisAlignedBoundingBox &aabb, const Vec3f &barycentric_min, const Vec3f &barycentric_max)
Vec3f | center () const
Vec3f | extents () const

## Public Attributes
Vec3f | aabb_max
Vec3f | aabb_min

The documentation for this class was generated from the following file:

- aabb.h